import { AnimationType } from './animation';
import { CounterType } from './counter';
import { DirectionType } from './direction';
import { DragTrackerType } from './dragTracker';
import { EventEmitterType } from './eventEmitter';
import { AxisType } from './axis';
import { ScrollBodyType } from './scrollBody';
import { ScrollTargetType } from './scrollTarget';
import { ScrollToType } from './scrollTo';
import { Vector1DType } from './vector1d';
export declare type DragHandlerType = {
    addActivationEvents: () => void;
    clickAllowed: () => boolean;
    pointerDown: () => boolean;
    removeAllEvents: () => void;
};
export declare function DragHandler(axis: AxisType, direction: DirectionType, rootNode: HTMLElement, target: Vector1DType, dragFree: boolean, dragTracker: DragTrackerType, location: Vector1DType, animation: AnimationType, scrollTo: ScrollToType, scrollBody: ScrollBodyType, scrollTarget: ScrollTargetType, index: CounterType, events: EventEmitterType, loop: boolean, skipSnaps: boolean): DragHandlerType;
